/* Flat (Light) by @Starsam80
 * Version: 1.0
 */

QWidget {
  color: #000000; /*black*/
  background-color: #ffffff; /*white*/
  border-radius: 0;
  outline: 0;
  border: none;
}

QWidget:disabled {
  color: #757575; /*grey-600*/
}

QAbstractItemView, QLineEdit, QTextArea, QAbstractSpinBox, QComboBox:editable {
  background-color: #ffffff; /*white*/
  alternate-background-color: #f5f5f5; /*grey-100*/
}

QToolBar, QToolButton {
  background-color: #f5f5f5; /*grey-100*/
}

QToolBar {
  padding: 0.25em;
}

QToolButton:hover {
  background-color: #42A5F5; /*blue-400*/
}

*::separator {
  background-color: #eeeeee; /*grey-200*/
  width: 1px;
  height: 1px;
  margin: 0.125em 0.25em;
}

*::item:selected {
  background-color: #42A5F5; /*blue-400*/
  color: #000000; /*black*/
}

QAbstractItemView::item:selected:!active {
  background-color: #42A5F5ff; /*blue-400 ???*/
}

QHeaderView::section {
  background-color: #ffffff; /*white*/
  border: none;
  border-right: 1px solid #f5f5f5; /*grey-100*/
  padding: 0.25em 1em;
}

QHeaderView::section:last {
  border-right: none;
}

QPushButton, QComboBox {
  background-color: #eeeeee; /*grey-200*/
  border: 1px solid #bdbdbd; /*grey-400*/
  height: 1.25em;
  padding: 0 0.25em;
}

QPushButton {
  min-width: 5em;
}

QPushButton:hover, QComboBox:hover, QAbstractSpinBox:hover {
  border-color: #2196f3; /*blue-500*/
}

QPushButton:disabled {
  background-color: #e0e0e0; /*grey-300*/
}

QPushButton:pressed {
  background-color: #bdbdbd; /*grey-400*/
}

QComboBox {
  min-width: 8em;
  padding-right: 0.75em;
}

QComboBox::drop-down {
  subcontrol-origin: margin;
  subcontrol-position: right;
  right: 0.5em;

  width: 0;
  height: 0;
  border-left: 0.25em solid #eeeeee; /*grey-200*/
  border-right: 0.25em solid #eeeeee; /*grey-200*/
  border-top: 0.5em solid #9e9e9e; /*grey-500*/
}

QComboBox::drop-down:editable {
  border-left-color: #ffffff; /*white*/
  border-right-color: #ffffff; /*white*/
}

QComboBox::drop-down:editable:hover {
  border-top-color: #2196f3; /*blue-500*/
}

QScrollBar {
  width: 1em;
  margin: 1em 0;
}

QScrollBar::handle {
  background-color: #e0e0e0; /*grey-300*/
}

QScrollBar::handle:hover {
  background-color: #bdbdbd; /*grey-400*/
}

QScrollBar::handle:pressed {
  background-color: #9e9e9e; /*grey-500*/
}

QScrollBar::add-page, QScrollBar::sub-page {
  background-color: #eeeeee; /*grey-200*/
}

QScrollBar::add-line, QScrollBar::sub-line {
  subcontrol-origin: margin;
  width: 0;
  height: 0;
  border-left: 0.25em solid #ffffff; /*white*/
  border-right: 0.25em solid #ffffff; /*white*/
}

QScrollBar::add-line {
  subcontrol-position: bottom;
  margin-bottom: 0.125em;
  border-top: 0.5em solid #9e9e9e; /*grey-500*/
}

QScrollBar::sub-line {
  subcontrol-position: top;
  margin-top: 0.125em;
  border-bottom: 0.5em solid #9e9e9e; /*grey-500*/
}

QScrollBar::add-line:hover, QScrollBar::sub-line:hover {
  border-bottom-color: #757575; /*grey-600*/
  border-top-color: #757575; /*grey-600*/
}

QScrollBar::add-line:pressed, QScrollBar::sub-line:pressed {
  border-bottom-color: #616161; /*grey-700*/
  border-top-color: #616161; /*grey-700*/
}

QListWidget, QLineEdit, QTextArea, QGroupBox, QAbstractSpinBox, QTabWidget::pane, QTabBar::tab {
  border: 1px solid #bdbdbd; /*grey-400*/
  border-radius: 0;
}

QGroupBox {
  margin-top: 0.5em;
  background-color: transparent;
  padding-top: 0.5em;
}

QGroupBox::title {
  subcontrol-origin: margin;
  subcontrol-position: top left;
  left: 0.5em;
}

QAbstractSpinBox::up-button, QAbstractSpinBox::down-button {
  subcontrol-origin: margin;
  
  width: 0;
  height: 0;
  margin: 0 3px;
  border-left: 4px solid #ffffff; /*white*/
  border-right: 4px solid #ffffff; /*white*/
}

QAbstractSpinBox::up-button:hover, QAbstractSpinBox::down-button:hover {
  border-top-color: #2196f3; /*blue-500*/
  border-bottom-color: #2196f3; /*blue-500*/
}

QAbstractSpinBox::up-button {
  subcontrol-position: top right;
  margin-top: 2px;
  border-bottom: 6px solid #9e9e9e; /*grey-500*/ 
}

QAbstractSpinBox::down-button {
  subcontrol-position: bottom right;
  margin-bottom: 2px;
  border-top: 6px solid #9e9e9e; /*grey-500*/ 
}

QTabWidget::pane {
  top: -1px;
}

QTabBar::tab {
  padding: 0.25em 0.5em;
}

QTabBar::tab:selected {
  border-bottom-color: transparent;
}

QTabBar::tab:!selected {
  background-color: #f5f5f5; /*grey-100*/
}

QTabBar::tab:hover:!selected {
  background-color: #90caf9; /*blue-200*/
}

QTabBar::tab:!first:!only-one {
  margin-left: -1px;
}